aboutsummaryrefslogtreecommitdiffstats
path: root/travis.sh
diff options
context:
space:
mode:
authorDavid Gageot <david@gageot.net>2015-06-05 11:24:44 +0200
committerDavid Gageot <david@gageot.net>2015-06-05 15:09:44 +0200
commit698f531d64da7f154682f0384ce195142798a4d1 (patch)
treeadd28196e906ee422cfc39bc37b7e2953f7efc78 /travis.sh
parent93217fe761c5fa51a695133f9c0358ddb66f68e1 (diff)
downloadsonar-scanner-cli-698f531d64da7f154682f0384ce195142798a4d1.tar.gz
sonar-scanner-cli-698f531d64da7f154682f0384ce195142798a4d1.zip
Travis build should use a snapshot of SonarQube
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/travis.sh b/travis.sh
new file mode 100755
index 0000000..4f81d21
--- /dev/null
+++ b/travis.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -euo pipefail
+
+function installTravisTools {
+ curl -sSL https://raw.githubusercontent.com/dgageot/travis-utils/master/install.sh | sh
+ source /tmp/travis-utils/utils.sh
+}
+
+installTravisTools
+build_green_sonarqube_snapshot
+mvn verify -B -e -V